<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

/////////////////////////////
echo head . "<b>Фотоальбомы</b>" . div . katalog;
if(empty($_POST['name'])){ 
echo '<form action="new_album.php" method="post" name="form">';
echo "<b>Название альбома (30):</b><br/>";
echo "<input name=\"name\" maxlength=\"30\" type=\"text\"/><br/><br/>";

echo "<b>Категория</b>:<br/>";
echo "<select name=\"cats\">";
$qkomnot = @mysql_query("select * from `photo_raz`");
while($droom = @mysql_fetch_array($qkomnot)) {
echo "<option value=\"".$droom['id']."\">".$droom['nazwan']."</option>";}
echo "</select><br/><br/>";

echo "<b>Натройки приватности</b>:<br/>";
echo "Коментирование:<br/><select name=\"private\">
<option value=\"0\">Все могут комментировать</option>
<option value=\"1\">Только друзья могут комментировать</option>
<option value=\"2\">Комменты запрещены</option></select><br /><br />";

echo "Просмотр:<br/><select name=\"private2\">
<option value=\"0\">Все могут просматривать</option>
<option value=\"1\">Только друзья могут просматривать</option>
<option value=\"2\">Только я могу просматировать</option></select><br /><br />";

echo "<b>Защита паролем: (30)</b><small> Если не нужен пароль, оставьте поле пустым</small><br/>";
echo "<input name=\"pass\" maxlength=\"30\" type=\"text\"/><br/>";

echo '<input name="submit" type="submit" class="button" value="Создать" /></form></div>';
}else{
$name=html($_POST['name']);
$private=num($_POST['private']);
$private2=num($_POST['private2']);
$cat=num($_POST['cats']);
$pass=html($_POST['pass']);
if(empty($name)) $error = '<b>Вы неуказали Название!';
if(empty($cat)) $error = '<b>Вы неуказали каталог!';

if(empty($error))
{
mysql_query("INSERT INTO `photo_album` SET `name` = '".$name."', `private` = '".$private."', `private2` = '".$private2."', `pass` = '".$pass."', `cat` = '".$cat."', `user` = '".$id_session."', `date` = '".mktime()."'");
echo "<b>Поздравляем! Ваш альбом успешно создан!</b><br />";
echo "<img src=\"../style/".$icon."/dot.gif\" alt=\"\" />  <a href=\"add.php\">Перейти к загрузке фото</a><br/>";
}else{
echo "$error ";
}
}

pod_navig();
foot();
?>
